Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::ExportModule Class Reference
Plugins

Interface for exportModule plug-ins. More...

`#include <ExportModule.h>`

Inheritance diagram for tlp::ExportModule:
[legend]
Collaboration diagram for tlp::ExportModule:
[legend]

List of all members.

## Public Member Functions

- ExportModule (AlgorithmContext context)
- virtual ~ExportModule ()
- virtual bool exportGraph (std::ostream &os)
    The export operations should take place here.
- virtual _DEPRECATED bool exportGraph (std::ostream &, Graph *)
    deprecated method.

## Public Attributes

- Graph * graph
- PluginProgress * pluginProgress
- DataSet * dataSet

## Detailed Description

Interface for exportModule plug-ins.

## Constructor & Destructor Documentation

tlp::ExportModule::ExportModule | ( | AlgorithmContext | context | ) | `[inline]`

virtual tlp::ExportModule::~ExportModule | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool tlp::ExportModule::exportGraph | ( | std::ostream & | os | ) | `[virtual]`

The export operations should take place here.

Parameters:

  the | output stream

Returns:
  bool Whether the export was successful or not.

virtual _DEPRECATED bool tlp::ExportModule::exportGraph | ( | std::ostream & | ,
|  | Graph * |
| ) |  | `[inline, virtual]`

deprecated method.

Parameters:

  unused,deprecated | parameter

Returns:
  bool Whether the import was successful or not.

## Member Data Documentation

DataSet* tlp::ExportModule::dataSet

Graph* tlp::ExportModule::graph

It is the root graph

PluginProgress* tlp::ExportModule::pluginProgress

Tulip Software by LaBRI Visualization Team 2001 - 2012